Don't include libutil.h on Linux
authorFlorian Ragwitz <rafl@debian.org>
Wed, 13 Jul 2011 17:05:01 +0000 (19:05 +0200)
committerFlorian Ragwitz <rafl@debian.org>
Wed, 13 Jul 2011 17:05:01 +0000 (19:05 +0200)
All it does is cause warnings on recent systems with that header installed. It's
required for some variants of FreeBSD only.

hints/linux.sh

index 2808f86..d0ac9fa 100644 (file)
@@ -18,6 +18,9 @@
 # No version of Linux supports setuid scripts.
 d_suidsafe='undef'
 
+# No version of Linux needs libutil for perl.
+i_libutil='undef'
+
 # Debian and Red Hat, and perhaps other vendors, provide both runtime and
 # development packages for some libraries.  The runtime packages contain shared
 # libraries with version information in their names (e.g., libgdbm.so.1.7.3);